Bug 1290206 - gcc-5.3.x and rpmbuild fill up disk
gcc-5.3.x and rpmbuild fill up disk
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 15:48 EST by Sammy
Modified: 2016-12-20 11:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:51:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2015-12-09 15:48:37 EST
Installing the 5.3.1-1 and 5.3.1-2 on Fedora 23 and building an rpm package
hangs when it sourcing *.lang files and fills up the / directory (produces
tens of gigabytes of output never ending). Going back to 5.2.1 has no problem.
FYI
Comment 1 Jakub Jelinek 2015-12-09 17:25:53 EST
When building which rpm package, on which arch?  Fills up the filesystem through what files?
Comment 2 Sammy 2015-12-09 17:35:11 EST
Building plasma-workspace-5.5.0 where I had to revert a patch which is causing 
some problems. Compilation goes through and it gets to a place where the
rpmbuild output shows something like "cat a.lang b.lang ...." (I don't remember
the exact line) and it sits there while the directory in BUILD/package containing
the lang/translations keep growing until 100% disk full (grows to about 24Gb).

Going back to 5.2.1 has no problem.
Comment 3 Sammy 2015-12-09 17:35:57 EST
Sorry, the arch is x86_64.
Comment 4 Jakub Jelinek 2015-12-09 17:38:42 EST
In that case I need a reproducer (exact src.rpm, or reference to a git commit in the package repo).
Comment 5 Sammy 2015-12-09 18:01:42 EST
Well, I just reinstalled gcc-5.3.1-2 with libtool and rpmbuild went through.
I had reprodcued this three times before downgrading the compiler. I am not
sure what happened to cause such a catastrophic outcome.
Comment 6 Fedora End Of Life 2016-11-24 09:07:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 11:51:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.